Class | Bio::Alignment::FactoryTemplate::FileInFileOutWithTree
In: | lib/bio/alignment.rb
Parent: | FileInFileOut

Template class for alignment application factory. The program needs: input: file (cannot accept stdin), format = fasta format output: file (parser should be specified by DEFAULT_PARSER) Tree (*.dnd) output is also supported.

### Methods

reset

### Attributes

output_dnd | [R] | alignment guide tree generated by the program (*.dnd file)

### Public Instance methods

reset()

[Source]

          # File lib/bio/alignment.rb, line 2485
    2485:         def reset
    2486:           @output_dnd = nil
    2487:           super
    2488:         end

[Validate]